"use client";
import Planning from "@/components/planning";
import { useApi } from "@/hooks/use-api";
import ICalendarEvent from "@/interfaces/ICalendarEvent";
import { Loader2 } from "lucide-react";

const Page = () => {
	const {
		data: requestedEvents,
		isLoading,
		success,
		mutate,
	} = useApi<ICalendarEvent[]>("/events", undefined, false, false);

	if (isLoading) return <Loader2 className="animate-spin" />;
	if (success)
		return <Planning events={requestedEvents ?? []} mutate={mutate} />;
};

export default Page;
